[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Bug 285631] optparse isn't friendly to i18n/unicode



Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug.


https://bugzilla.redhat.com/show_bug.cgi?id=285631


Dave Malcolm <dmalcolm redhat com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |dmalcolm redhat com




--- Comment #8 from Dave Malcolm <dmalcolm redhat com>  2009-12-02 13:48:30 EDT ---
Tested on F-12 with python-2.6.2 (and pykickstart-1.64-1.fc12.noarch) and it
seems to be working OK (or, at least, not raising exceptions):

$ LANG=ja_JP.UTF-8 ksvalidator
Usage: ksvalidator [options] ksfile|url

Options:
  -h, --help            show this help message and exit
  -e, --firsterror      最初のエラーまたは警告で停止する
  -i, --followincludes  %include が表示された時に include ファイルを構文解析する
  -l, --listversions    list the available versions of kickstart syntax
  -v VERSION, --version=VERSION
                        確証対象のキックスタート構文のバージョン

$ LANG=sv_SV.UTF-8 ksvalidator
Usage: ksvalidator [options] ksfile|url

Options:
  -h, --help            show this help message and exit
  -e, --firsterror      stanna efter det f?rsta felet eller den f?rsta
                        varningen
  -i, --followincludes  tolka inkluderingsfiler d? %include hittas
  -l, --listversions    list the available versions of kickstart syntax
  -v VERSION, --version=VERSION
                        version av kickstart-syntax att validera mot

-- 
Configure bugmail: https://bugzilla.redhat.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]